#
# spec file for package pwdutils (Version 2.6.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# neededforbuild  laus laus-devel libselinux libselinux-devel libxcrypt libxcrypt-devel openldap2-client openldap2-devel openslp openslp-devel openssl openssl-devel pam-devel

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext heimdal-lib laus laus-devel libselinux-devel libtool libxcrypt-devel openldap2-devel openslp openslp-devel openssl-devel pam-devel perl rpm

Name:           pwdutils
URL:            http://www.thkukuk.de/pam/pwdutils/
License:        BSD, GPL
Group:          System/Base
Autoreqprov:    on
Version:        2.6.4
Release:        2.30
Summary:        Utilities to manage User and Group Accounts
PreReq:         grep /bin/cp /bin/mv
Requires:       pam-modules
Provides:       shadow
Obsoletes:      cpu shadow
Source:         pwdutils-%{version}.tar.bz2
Source1:        pam_login-3.18.tar.bz2
Source2:        ldap.conf
Source3:        useradd.default
Patch:          %{name}-%{version}-laus.diff
Patch1:         groupmod.diff
Patch2:         useradd.diff
Patch3:         newgrp.diff
Patch4:         newgrp-large-nis-groups.diff
Patch5:         pwdutils-2.6.4-nscd.diff
Patch6:         pwdutils-chfn-home_phne.diff
Patch7:         memory-corruption.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package includes the necessary programs for login to a console,
converting plain password files to the shadow password format, and
programs for managing user and group accounts in local files and a LDAP
database.



%prep
%setup -q -b 1
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7 -p1
%if %sles_version > 0
%patch -p1
%endif

%build
autoreconf
CFLAGS="$RPM_OPT_FLAGS" \
 ./configure --with-ldap-conf-file=/etc/ldap.conf --enable-selinux \
	--enable-pam_rpasswd --libdir=/%{_lib}
make
#make check
cd ../pam_login-*
CFLAGS="$RPM_OPT_FLAGS -Wall" \
	./configure --enable-static-selinux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cd ../pam_login-*
make install DESTDIR=$RPM_BUILD_ROOT
cd ../pwdutils-*
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf ../../etc/init.d/rpasswdd $RPM_BUILD_ROOT/usr/sbin/rcrpasswdd
ln -sf newgrp $RPM_BUILD_ROOT/usr/bin/sg
install -m 644 $RPM_SOURCE_DIR/ldap.conf $RPM_BUILD_ROOT/etc
install -m 644 $RPM_SOURCE_DIR/useradd.default $RPM_BUILD_ROOT/etc/default/useradd
echo ".so man8/useradd.8" > $RPM_BUILD_ROOT%{_mandir}/man8/adduser.8
cd ../pwdutils-*
%{find_lang} pwdutils
%{find_lang} pam_login pwdutils.lang

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "0$1" -ge "2" ]; then
# If we have a /etc/openldap/ldap.conf, which is modified,
# and no /etc/ldap.conf, copy /etc/openldap.conf before we
# install our own version. But only on update.
   if [ ! -e /etc/ldap.conf -a -f /etc/openldap/ldap.conf ]; then
      grep -v '^#' /etc/openldap/ldap.conf > /dev/null
      if [ $? == 0 ]; then
         cp -p /etc/openldap/ldap.conf /etc/...ldap.conf.new
      fi
   fi
fi

%post
# If we backuped the openldap/ldap.conf, move now the backup
# in place
test -f /etc/...ldap.conf.new && mv /etc/...ldap.conf.new /etc/ldap.conf
# useradd.local was not owned by a package before, overwrite
# old file, if it is the dummy one.
if [ -f /usr/sbin/useradd.local.rpmnew ]; then
   grep -v '^#' /usr/sbin/useradd.local > /dev/null
   if [ $? == 0 ]; then
      mv /usr/sbin/useradd.local.rpmnew /usr/sbin/useradd.local
   fi
fi

%files -f pwdutils.lang
%defattr(-,root,root,755)
%doc AUTHORS COPYING NEWS README THANKS TODO
%attr(0644,root,root) %config(noreplace) /etc/ldap.conf
%config /etc/login.defs
%config(noreplace) /etc/rpasswd.conf
%config /etc/pam.d/chage
%config /etc/pam.d/chfn
%config /etc/pam.d/chsh
%config /etc/pam.d/login
%config /etc/pam.d/passwd
%config /etc/pam.d/rpasswd
%config /etc/pam.d/shadow
%config /etc/pam.d/useradd
%config /etc/init.d/rpasswdd
%config(noreplace) /etc/default/useradd
%config(noreplace) /etc/default/passwd
/%{_lib}/security/pam_rpasswd.so
/bin/login
%attr (4755,root,shadow) /usr/bin/chage
%attr (4755,root,shadow) /usr/bin/chfn
%attr (4755,root,shadow) /usr/bin/chsh
%attr (4755,root,shadow) /usr/bin/expiry
/usr/bin/faillog
%attr (4755,root,shadow) /usr/bin/gpasswd
/usr/bin/lastlog
%attr (4755,root,root) /usr/bin/newgrp
%attr (4755,root,shadow) /usr/bin/passwd
/usr/bin/rpasswd
/usr/bin/sg
%doc %{_mandir}/man?/*
/usr/sbin/chpasswd
/usr/sbin/groupadd
/usr/sbin/groupdel
/usr/sbin/groupmod
/usr/sbin/grpck
/usr/sbin/grpconv
/usr/sbin/grpunconv
/usr/sbin/pwck
/usr/sbin/pwconv
/usr/sbin/pwunconv
/usr/sbin/rcrpasswdd
/usr/sbin/rpasswdd
/usr/sbin/useradd
%verify(not md5 size mtime) %config(noreplace) /usr/sbin/useradd.local
%verify(not md5 size mtime) %config(noreplace) /usr/sbin/userdel-pre.local
%verify(not md5 size mtime) %config(noreplace) /usr/sbin/userdel-post.local
/usr/sbin/userdel
/usr/sbin/usermod
/usr/sbin/vigr
/usr/sbin/vipw

%changelog -n pwdutils
* Mon May 15 2006 - jdelvare@suse.de
- Fix memory corruption in pwck and grpck [#172581]
* Mon Oct 24 2005 - kukuk@suse.de
- Fix sanity check for home phone in chfn [#130209]
* Fri Sep 23 2005 - kukuk@suse.de
- Update libnscd code to work correct with newer nscd versions
* Mon Sep 19 2005 - kukuk@suse.de
- Add autoreconf call to fix random build failures
* Tue Aug 02 2005 - kukuk@suse.de
- Add hack for broken large NIS group splitting [Feature #62712]
* Tue Jun 29 2004 - kukuk@suse.de
- Add fix for newgrp/sg compat option handling [Bug #42563]
* Wed May 12 2004 - kukuk@suse.de
- Update LAuS patch (signed/unsigned UID/GID)
* Mon May 10 2004 - kukuk@suse.de
- Add next LAuS patch
- Fix writing of SKEL and EXPIRE entry in /etc/default/useradd
* Fri Apr 30 2004 - kukuk@suse.de
- Update LAuS patch [Bug #39619]
* Thu Apr 29 2004 - kukuk@suse.de
- Fix lot of format errors for LAuS [Bug #39619]
- Fix typo in groupmod
* Wed Apr 21 2004 - kukuk@suse.de
- Add -A and -R options to groumod
- Adjust LAuS patch
* Wed Apr 14 2004 - kukuk@suse.de
- Fix SLP URL parsing in rpasswd client
* Sat Apr 03 2004 - kukuk@suse.de
- Add sg again
* Fri Apr 02 2004 - kukuk@suse.de
- Update LAuS Patch (hopefully this one works)
* Thu Apr 01 2004 - kukuk@suse.de
- Fix applying of LAuS Patch on SLES9, don't apply on 9.1
- Update to pwdutils 2.6.2: Fix refreshing of SLP registration
* Thu Apr 01 2004 - thomas@suse.de
- added LAuS patches from IBM
* Wed Mar 24 2004 - kukuk@suse.de
- Update pwdutils to 2.6.1: Ignore setgroups errors in newgrp
* Wed Mar 17 2004 - kukuk@suse.de
- Update pwdutils to 2.6 (Add missing grpck/pwck functionality,
  add test cases for pwck and grpck).
* Mon Mar 15 2004 - kukuk@suse.de
- Update to pam_login 3.18 [Bug #35238]
- Update pwdutils to 2.5.98 (fix for groupmod flushing wrong cache)
* Fri Mar 05 2004 - kukuk@suse.de
- Don't dlclose not loaded NSS modules [Bug #35331]
* Tue Feb 24 2004 - kukuk@suse.de
- Update to 2.5.97 (lot of small fixes)
* Tue Feb 17 2004 - kukuk@suse.de
- Fix typo in /etc/login.defs
* Mon Feb 16 2004 - kukuk@suse.de
- Start converting between UTF-8 and currently used locale
- Read regex expression for allowed usernames from /etc/login.defs
- Lot of bug fixes
* Thu Feb 05 2004 - kukuk@suse.de
- Add /etc/default/passwd support
* Thu Feb 05 2004 - kukuk@suse.de
- Add manual pages for newgrp and pam_rpasswd
* Sun Feb 01 2004 - kukuk@suse.de
- Add POSIX conform newgrp
* Wed Jan 28 2004 - kukuk@suse.de
- Update to pwdutils 2.5.91 (fixes compile problems on some archs)
- Enable SLP support in rpasswdd
* Wed Jan 28 2004 - kukuk@suse.de
- Update to pwdutils 2.5.90 (Add pam_rpasswd,pwck,grpck)
- Remove shadow sources (not needed any longer)
* Sat Jan 17 2004 - ro@suse.de
- added pam-devel to neededforbuild
* Wed Jan 14 2004 - kukuk@suse.de
- Rename package to pwdutils
* Fri Jan 09 2004 - kukuk@suse.de
- Update to pwdutils 2.5.1 (pwconv/pwunconv/grpunconv added)
- Only install grpck/pwck from shadow suite
* Wed Jan 07 2004 - kukuk@suse.de
- Don't install getspnam.3 (is part of man-pages)
* Wed Dec 10 2003 - kukuk@suse.de
- Update to pwdutils 2.4 [Bug #33508]
* Fri Dec 05 2003 - kukuk@suse.de
- Update to pwdutils 2.3.99 (usermod and LDAP support fixes)
* Tue Dec 02 2003 - kukuk@suse.de
- Update to pwdutils 2.3.97 (gpasswd, groupmod, usermod)
* Wed Oct 29 2003 - kukuk@suse.de
- Obsolete cpu (replaced by pwdutils tools)
- Fix group of gpasswd
* Thu Oct 16 2003 - kukuk@suse.de
- Update pam_login to 3.16
- Update pwdutils to 2.3.96 (SELinux support, preserve ACLs)
* Mon Oct 13 2003 - schwab@suse.de
- Fix alignment warnings.
* Sun Oct 12 2003 - kukuk@suse.de
- Update pwdutils (groupadd -g fix)
- Remove sg/newgrp
* Wed Oct 08 2003 - kukuk@suse.de
- Update pwdutils (groupadd/groupdel added)
- Update pam_login (SELinux support added)
* Sun Sep 21 2003 - kukuk@suse.de
- Set UID_MIN (login.defs) back to 500 [#31515]
* Fri Sep 19 2003 - kukuk@suse.de
- Add require to pam-modules to solve update problems
* Thu Sep 04 2003 - ro@suse.de
- workaround case where $1 is unset in preinstall script
  (non-rpm usage)
* Thu Sep 04 2003 - kukuk@suse.de
- userdel: flush nscd cache after account is deleted
- chsh/chfn: don't ask root for password on local accounts
* Mon Sep 01 2003 - kukuk@suse.de
- Don't copy installed /etc/openldap/ldap.conf on new installation
* Mon Aug 11 2003 - kukuk@suse.de
- Update to pwdutils snapshot (Add manual pages)
- shadow: Ignore new login.defs variables from pwdutils
* Fri Jul 25 2003 - kukuk@suse.de
- Update to pwdutils snapshot (useradd/usrdel can now create/delete
  LDAP accounts)
* Thu Jul 17 2003 - kukuk@suse.de
- Fix roff link in getspnam.3 [Bug #27886]
- Update to pwdutils 2.3.91
* Tue Jul 15 2003 - kukuk@suse.de
- Update to pam_login 3.12
- Add /etc/ldap.conf
- Change path to ldap.conf from /etc/openldap to /etc
- Update to new pwdutils snapshot
- Add new default/useradd source
* Mon Jul 14 2003 - kukuk@suse.de
- Update to pwdutils 2.3.90
- Add /usr/sbin/useradd.local
- Add GROUPS entry to /etc/default/useradd
* Wed Jul 02 2003 - kukuk@suse.de
- Update to pwdutils 2.3
* Thu Jun 19 2003 - ro@suse.de
- fix build with current gettext (0.12)
* Tue May 27 2003 - ro@suse.de
- added cracklib-devel to neededforbuild
* Tue May 13 2003 - kukuk@suse.de
- Fix filelist: Add pam_login translations
* Mon May 12 2003 - kukuk@suse.de
- Update to pam_login 3.11: Inline fixes for gcc 3.3, add sleep
  before exit in error case.
* Sun Mar 09 2003 - kukuk@suse.de
- Fix path to ldap.conf
* Sat Mar 08 2003 - kukuk@suse.de
- Adjust 64bit patch
* Sat Mar 08 2003 - kukuk@suse.de
- Allow A-Z and . as characters for login names. [Bug #24891]
* Thu Feb 20 2003 - kukuk@suse.de
- rpasswdd should use an own copy of PAM configuration file.
* Thu Feb 13 2003 - kukuk@suse.de
- Update to pwdutils 2.2 (chage can now change LDAP entries)
* Mon Feb 03 2003 - kukuk@suse.de
- Update to pwdutils 2.1 (fixes documentation)
* Mon Jan 27 2003 - kukuk@suse.de
- update to pwdutils 2.0
* Mon Jan 20 2003 - ro@suse.de
- make pdwutils build again (pwdutils-1.99-libc.dif)
* Mon Jan 13 2003 - kukuk@suse.de
- Fix seg.fault introduced through sanity check patch
* Sat Jan 11 2003 - kukuk@suse.de
- Fix wrong login.defs comment.
- Enhance the chage manual page (-d option).
* Fri Jan 10 2003 - kukuk@suse.de
- Add comment, that /var/log/btmp must exist to enable logging.
* Thu Dec 12 2002 - kukuk@suse.de
- Update to pam_login 3.10 (compiles with gcc 3.10, rewrite of the
  controlling tty and Ctrl-\ handling).
- Update to shadow 4.0.3 (mainly man page updates).
- Fix more time() calls for s390x and x86_64.
* Mon Nov 18 2002 - ro@suse.de
- add AM_GNU_GETTEXT_VERSION to configure.in
* Tue Nov 05 2002 - kukuk@suse.de
- Fix utmp/wtmp handling of pam_login on x86-64, ppc64 and s390x
* Mon Oct 28 2002 - sf@suse.de
- fix for segfault on hammer, ppc64 and s390x
  (shadow-4.0.2-64bit.diff) (bug #21345)
* Tue Oct 01 2002 - kukuk@suse.de
- Fix copyright message of chage [Bug #20402]
* Mon Aug 26 2002 - kukuk@suse.de
- Add sanity checks for rpasswdd [Bug #18322]
* Sun Aug 25 2002 - kukuk@suse.de
- Add workaround for new OpenLDAP2 version
* Tue Aug 13 2002 - kukuk@suse.de
- Fix IPv4/IPv6 handling
- Include own parser for shadow and passwd entries
* Sun Jul 21 2002 - kukuk@suse.de
- Add bugfix for chage (-d and -E options) [Bug #17038]
* Mon Jul 15 2002 - kukuk@suse.de
- Update to pwdutils 1.99 (many bug fixes, new chage implementation)
- Fix one more bug in groupdel
* Thu Jul 11 2002 - kukuk@suse.de
- Update to pam_login 3.7 (SIGHUP init fix, may solve [Bug #16602])
- Run libtoolize/aclocal/autreconf/automake
- Fix groupdel (option handling, check if group exists)
* Wed May 22 2002 - kukuk@suse.de
- Correct last change ...
* Wed May 22 2002 - kukuk@suse.de
- Disable USERGROUPS_DEL per default, we don't use user groups.
* Wed May 15 2002 - kukuk@suse.de
- Fix typo in login.defs manual page
* Tue May 14 2002 - kukuk@suse.de
- fix description for PASS_MAX_LEN
* Fri May 10 2002 - kukuk@suse.de
- Update to pwdutils-1.98 (Lot of major bug and security fixes)
* Thu Apr 25 2002 - kukuk@suse.de
- Update to pwdutils-1.94 (Fix possible file corruption problems).
- Remove Libraries, which will not end in filelist
* Wed Apr 24 2002 - kukuk@suse.de
- Update to pwdutils-1.93 (Fix typo in init script, implement
  sigchild handler)
* Wed Apr 24 2002 - kukuk@suse.de
- Update to pwdutils-1.92 (Add remote password update daemon)
* Tue Apr 16 2002 - kukuk@suse.de
- Implement -P option for groupadd, groupmod, groupdel, useradd,
  usermod and userdel (specify an alternate path to passwd/group).
- Link against libxcrypt.
* Mon Feb 18 2002 - kukuk@suse.de
- Update to shadow 4.0.2 (mainly fixed translations)
- Add correct manual pages for chfn and chsh
* Fri Jan 25 2002 - kukuk@suse.de
- Update pam_login to 3.6 (fix Ctrl-\ bug killing login)
- Update pwdutils to 1.91 (major bug fixes for chfn/chsh)
* Tue Jan 22 2002 - kukuk@suse.de
- Use chfn,chsh and passwd from pwdutils package (with NIS and LDAP
  support)
* Tue Jan 08 2002 - kukuk@suse.de
- Fix .so reference in vigr.8/sg.1 manual pages
* Mon Jan 07 2002 - kukuk@suse.de
- correct vigr/vipw links
* Sun Jan 06 2002 - kukuk@suse.de
- Update to pam_login 3.5 (-r option added)
- Update to shadow 4.0.1
- add more 32bit uid/gid fixes
* Sat Jan 05 2002 - kukuk@suse.de
- Enable PAM for all applications
* Fri Jan 04 2002 - kukuk@suse.de
- Correct fix for install-hook
* Fri Jan 04 2002 - kukuk@suse.de
- Update to CVS snapshot from 22.12.2001
* Fri Jan 04 2002 - kukuk@suse.de
- Add -r option to useradd to be LSB conform
- Add -r option to groupadd to be compatible with useradd
- Increase GID_MIN to 500.
* Thu Nov 15 2001 - kukuk@suse.de
- Fix some compiler warnigs (partial [Bug #12274])
* Thu Nov 08 2001 - kukuk@suse.de
- Fix .so reference in manual pages
* Thu Nov 08 2001 - kukuk@suse.de
- Disable PAM for standard sysadmin utilities
- Make newusers 32bit UID clean
* Tue Oct 30 2001 - kukuk@suse.de
- Update to shadow 4.0.0, many new features, all tools are now
  PAM aware
- Add grpconv/grpunconv to filelist [Bug #5404]
- Update pam_login to 3.4 (uses reentrant functions)
* Thu Oct 11 2001 - kukuk@suse.de
- Fix problem with login that pam modules could overwrite user data
* Thu Oct 04 2001 - schwab@suse.de
- Fix for automake 1.5.
* Tue Sep 11 2001 - kukuk@suse.de
- Fix bug where group entries are truncated if the line is longer
  then 4096 bytes.
* Mon Sep 03 2001 - kukuk@suse.de
- Use LFS to support 32bit UIDs
- Fix a lot of bugs vs. 32bit support
* Tue Aug 14 2001 - kukuk@suse.de
- Remove absolute paths from login config file for PAM
* Mon Jul 30 2001 - kukuk@suse.de
- Move default/useradd from aaa_base into this package
- Use real defaults for default/useradd [Bug #9366]
- Mark as config/noreplace
* Mon Jun 04 2001 - kukuk@suse.de
- Fix to compile with new tools
* Fri May 11 2001 - schwab@suse.de
- Fix missing declarations.
* Sun Apr 29 2001 - kukuk@suse.de
- Add UMASK back to /etc/login.defs [Bug #7383]
* Sat Apr 21 2001 - kukuk@suse.de
- Fix flushing of nscd cache to work on all plattforms
* Thu Apr 12 2001 - kukuk@suse.de
- Call gettextize
* Thu Apr 12 2001 - kukuk@suse.de
- Add vigr [Bug #6926]
- Disable at first workarounds for ash [Bug #6928]
- Add uggly workaround for new gettext
* Wed Mar 28 2001 - kukuk@suse.de
- Remove parts of pam_login 3.2 fixes (contains race conditions)
* Sat Mar 24 2001 - kukuk@suse.de
- pam_login: Update to version 3.2
* Sat Feb 03 2001 - violiet@suse.de
- added Japanese and Korean message file.
* Tue Dec 05 2000 - kukuk@suse.de
- set min. UID for new user to 500.
- Remove 16bit ID patches to allow 32bit UIDs and GIDs
* Thu Sep 14 2000 - kukuk@suse.de
- pam_login: Add new login.defs variable
* Wed Sep 13 2000 - kukuk@suse.de
- Fix version string in spec file
- Remove more obsolete man pages
* Wed Sep 13 2000 - ro@suse.de
- removed su-manpage: is in sh_utils
* Tue Sep 12 2000 - kukuk@suse.de
- Update to shadow-20000902
- Use buildroot
* Sat Jul 15 2000 - kukuk@suse.de
- Disable pam_homecheck from pam login config file
* Fri May 05 2000 - kukuk@suse.de
- Add pam_homecheck to login pam config file
* Fri Apr 14 2000 - kukuk@suse.de
- Update pam_login to 3.1.1
* Sun Apr 02 2000 - bk@suse.de
- replaced config.{guess,sub} patches with config update macro (s390)
* Thu Feb 03 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Fri Jan 21 2000 - kukuk@suse.de
- Add missing login.defs entries to pam_login
* Mon Jan 17 2000 - kukuk@suse.de
- Fix typo on pam config files
* Mon Jan 17 2000 - kukuk@suse.de
- pam_login: Update to 3.1
- shadow: Update pam config files, login.defs and manual page
- Move /usr/man to /usr/share/man
* Tue Oct 26 1999 - kukuk@suse.de
- login.defs: Remove unsupported PASS_MIN_LEN/PASS_MAX_LEN
* Sat Oct 23 1999 - kukuk@suse.de
- shadow: Add expiry.1 manual page
- shadow: Add fixes from current development (BUG#663)
- shadow/chage: Don't need to be suid root any longer
* Mon Oct 11 1999 - kukuk@suse.de
- Upgrade to pam_login 3.0
- Clear nscd cache after changes on passwd/group
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Sep 11 1999 - kukuk@suse.de
- Implement LOG_UNKFAIL_ENAB option
- login: Show tty name if we don't have a hostname
* Mon Sep 06 1999 - kukuk@suse.de
- login: set USER env. variable
* Fri Sep 03 1999 - kukuk@suse.de
- Update to shadow 19990827
- Add LOGIN_RETRIES and LOGIN_TIMEOUT to login
- Specfile cleanup
* Mon Jul 12 1999 - kukuk@suse.de
- Update to shadow 19990709
* Tue Jul 06 1999 - kukuk@suse.de
- login.pamd: put pam_securtty after pam_unix
- shadow: Add patches from Thomas Biege
* Wed Jun 30 1999 - kukuk@suse.de
- Include PAM patch for chfn
* Sun Jun 27 1999 - kukuk@suse.de
- Fix filelist
- Fix nullok parameters in *.pamd
* Fri Jun 25 1999 - kukuk@suse.de
- Finish pam_login 2.9s
* Mon Jun 21 1999 - kukuk@suse.de
- Patch shadow chfn/chsh to use PAM
* Tue Jun 15 1999 - kukuk@suse.de
- login: Implement FAIL_DELAY, fix pam.d/login config file
- Update shadow to 19990607
* Fri Jun 04 1999 - kukuk@suse.de
- Add login-2.9s.tar.gz
- Use PAM
* Tue Mar 09 1999 - ro@suse.de
- removed "-pipe" : yields problems
* Mon Feb 01 1999 - ro@suse.de
- changed check for libcrypt in Makefile.Linux
  to match on alpha as well
* Thu Jan 14 1999 - florian@suse.de
- add vipw with man-page to the filelist
* Sat Dec 05 1998 - bs@suse.de
- set PASS_MIN_DAYS to 0 in /etc/login.defs (10000 also means 0 but
  confuses the user).
* Mon Nov 23 1998 - ro@suse.de
- check if size of login.defs > 0
* Tue Oct 06 1998 - ro@suse.de
- re-added login.defs
* Tue Sep 29 1998 - ro@suse.de
- re-activated newgrp, chfn, chsh et. al. / removed no-suid
* Wed Sep 09 1998 - ro@suse.de
- added /usr/bin/no-suid to file-list
* Mon Aug 31 1998 - ro@suse.de
- upgrade to shadow-980724 with jurix-diff
- mkpasswd is no longer included (was broken anyway)
- sg is disabled / resides in usr/bin
- faillog and lastlog reside in usr/bin
- pw_auth.3 and pwauth.8 are no longer installed
- check for libcrypt when linking login
* Tue Feb 17 1998 - ro@suse.de
- added installation of pwconv and pwconv.8 to Makefile.Linux
* Fri Feb 13 1998 - bs@suse.de
- took pwconv into file list.
* Thu Aug 21 1997 - bs@suse.de
- disabled ULIMIT in /etc/login.defs
* Tue Jun 03 1997 - bs@suse.de
- switched to /etc/nologin in etc/login.defs
* Fri May 16 1997 - bs@suse.de
- removed /etc/login.defs.new -> /etc/login.defs behavior, since is not
  neded for rpm.
* Thu Jan 02 1997 - bs@suse.de
- login: fixed "*" as passwd. ("*" didn't lead to a lookup in shadow)
* Thu Jan 02 1997 - florian@suse.de
- completely new version
- disable the CONSOLE line in /etc/login.defs if you want to allow
  root login from any device
- useradd has a range of uids for new users. Please see /etc/login.defs
  and the man-pages for more information.
- completely new version
* Thu Jan 02 1997 - bs@suse.de
  moved configuration files to aaa_base.tgz
